searchNodes=[{"ref":"FastHtml.Cnode.html","title":"FastHtml.Cnode","type":"module","doc":"Manages myhtml c-node. Configuration config :fast_html, :cnode, sname: &quot;myhtml_worker&quot;, # Defaults to myhtml_&lt;random bytes&gt; spawn_inactive_timeout: 5000 # Defaults to 10000"},{"ref":"FastHtml.Cnode.html#call/2","title":"FastHtml.Cnode.call/2","type":"function","doc":"Call into myhtml cnode"},{"ref":"FastHtml.Cnode.html#child_spec/1","title":"FastHtml.Cnode.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"fast_html.html","title":"fast_html","type":"module","doc":"A module to decode html into a tree structure."},{"ref":"fast_html.html#decode/2","title":"fast_html.decode/2","type":"function","doc":"Returns a tree representation from the given html string. opts is a keyword list of options, the options available: timeout - Call timeout format - Format flags for the tree The following format flags are available: :html_atoms uses atoms for known html tags (faster), binaries for everything else. :nil_self_closing uses nil to designate self-closing tags and void elements. For example &lt;br&gt; is then being represented like {&quot;br&quot;, [], nil}. See http://w3c.github.io/html-reference/syntax.html#void-elements for a full list of void elements. :comment_tuple3 uses 3-tuple elements for comments, instead of the default 2-tuple element. Examples iex&gt; :fast_html.decode(&quot;&lt;h1&gt;Hello world&lt;/h1&gt;&quot;) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;h1&quot;, [], [&quot;Hello world&quot;]}]}]}} iex&gt; :fast_html.decode(&quot;Hello world&quot;, timeout: 0) {:error, :timeout} iex&gt; :fast_html.decode(&quot;&lt;span class=&#39;hello&#39;&gt;Hi there&lt;/span&gt;&quot;) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;span&quot;, [{&quot;class&quot;, &quot;hello&quot;}], [&quot;Hi there&quot;]}]}]}} iex&gt; :fast_html.decode(&quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;/body&gt;&quot;) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [comment: &quot; a comment &quot;]}]}} iex&gt; :fast_html.decode(&quot;&lt;br&gt;&quot;) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;br&quot;, [], []}]}]}} iex&gt; :fast_html.decode(&quot;&lt;h1&gt;Hello world&lt;/h1&gt;&quot;, format: [:html_atoms]) {:ok, {:html, [], [{:head, [], []}, {:body, [], [{:h1, [], [&quot;Hello world&quot;]}]}]}} iex&gt; :fast_html.decode(&quot;&lt;br&gt;&quot;, format: [:nil_self_closing]) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{&quot;br&quot;, [], nil}]}]}} iex&gt; :fast_html.decode(&quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;/body&gt;&quot;, format: [:comment_tuple3]) {:ok, {&quot;html&quot;, [], [{&quot;head&quot;, [], []}, {&quot;body&quot;, [], [{:comment, [], &quot; a comment &quot;}]}]}} iex&gt; html = &quot;&lt;body&gt;&lt;!-- a comment --!&gt;&lt;unknown /&gt;&lt;/body&gt;&quot; iex&gt; :fast_html.decode(html, format: [:html_atoms, :nil_self_closing, :comment_tuple3]) {:ok, {:html, [], [{:head, [], []}, {:body, [], [{:comment, [], &quot; a comment &quot;}, {&quot;unknown&quot;, [], nil}]}]}}"},{"ref":"fast_html.html#t:attr/0","title":"fast_html.attr/0","type":"type","doc":""},{"ref":"fast_html.html#t:attr_list/0","title":"fast_html.attr_list/0","type":"type","doc":""},{"ref":"fast_html.html#t:comment_node/0","title":"fast_html.comment_node/0","type":"type","doc":""},{"ref":"fast_html.html#t:comment_node3/0","title":"fast_html.comment_node3/0","type":"type","doc":""},{"ref":"fast_html.html#t:format_flag/0","title":"fast_html.format_flag/0","type":"type","doc":""},{"ref":"fast_html.html#t:tag/0","title":"fast_html.tag/0","type":"type","doc":""},{"ref":"fast_html.html#t:tree/0","title":"fast_html.tree/0","type":"type","doc":""},{"ref":"readme.html","title":"FastHTML","type":"extras","doc":"FastHTML A C Node wrapping lexborisov&#39;s myhtml. Primarily used with FastSanitize. Available as a hex package: {:fast_html, &quot;~&gt; 0.99&quot;} Documentation"},{"ref":"readme.html#benchmarks","title":"FastHTML - Benchmarks","type":"extras","doc":"The following table provides median times it takes to decode a string to a tree for html parsers that can be used from Elixir. Benchmarks were conducted on a machine with Intel Core i7-3520M @ 2.90GHz CPU and 16GB of RAM. The mix fast_html.bench task can be used for running the benchmark by yourself. File/Parserfast_html (C-Node)mochiweb_html (erlang)html5ever (Rust NIF)Myhtmlex (NIF)¹ document-large.html178.13 ms3471.70 ms799.20 ms402.64 ms document-medium.html2.85 ms26.58 ms9.06 ms3.72 ms document-small.html1.08 ms5.45 ms2.10 ms1.24 ms fragment-large.html1.50 ms10.91 ms6.03 ms1.91 ms fragment-small.html²434.64 μs83.02 μs57.97 μs311.39 μs Myhtmlex has a C-Node mode as well, but it wasn&#39;t benchmarked here because it segfaults on document-large.html The slowdown on fragment-small.html is due to C-Node overhead. Unlike html5ever and Myhtmlex in NIF mode, fast_html has the parser process isolated and communicates with it over the network, so even if a fatal crash in the parser happens, it won&#39;t bring down the entire VM."},{"ref":"readme.html#contribution-bug-reports","title":"FastHTML - Contribution / Bug Reports","type":"extras","doc":"Please make sure you do git submodule update after a checkout/pull The project aims to be fully tested"}]